#ifndef __GLOBAL_H
#define __GLOBAL_H

#include "config.h"
#include <termios.h>
#include "utils.h"
#include "log.h"

#ifdef __MAIN_FILE_C
#define GLOBAL_EXTERN
#else
#define GLOBAL_EXTERN extern
#endif

struct global_user {
	char *name;
	char *email;
};

struct global_core {
	speed_t baud_rate;
	int read_timeout;
	int sms_init;
	char *device;
	int verbose;
	int interactive;

	char *msg_store_read;
	char *msg_store_send;
	char *msg_store_new;
	char *pb_store;
  char *model;

	char *editor;
	char *edit_file;
};

struct global_smtp {
	char *server;
	int port;
	char *user;
	char *passwd;
	char *encryption;
};

struct global_send_email {
	char *domain;
};

struct global_config {
	struct global_user user;
	struct global_core core;
	struct global_smtp smtp;
	struct global_send_email send_email;
};

GLOBAL_EXTERN struct global_config Global;

#endif /* ~__GLOBAL_H */
